> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 取消固定构建（如果未固定则不执行任何操作）

> 仅当该组织当前固定到 ``build_id`` 时，才取消固定。

如果该组织未固定到此构建，则不执行任何操作（仍返回 204）。

<div id="permissions">
  ## 权限
</div>

需要具备组织级别 `ManageOrgSnapshots` 权限的服务用户。

<div id="behavior">
  ## 行为
</div>

取消固定构建。如果该构建当前未固定，则不会执行任何操作。


## OpenAPI

````yaml zh/v3-openapi.yaml DELETE /v3beta1/organizations/{org_id}/snapshot-setup/builds/{build_id}/pin
openapi: 3.1.0
info:
  description: 采用 Service User 身份验证和 RBAC 的 Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3beta1/organizations/{org_id}/snapshot-setup/builds/{build_id}/pin:
    delete:
      tags:
        - snapshot_setup
      summary: 取消固定构建（如果未固定则不执行任何操作）
      description: |-
        仅当该组织当前固定到 ``build_id`` 时，才取消固定。

        如果该组织未固定到此构建，则不执行任何操作（仍返回 204）。
      operationId: >-
        unpin_org_build_v3beta1_organizations__org_id__snapshot_setup_builds__build_id__pin_delete
      parameters:
        - in: path
          name: build_id
          required: true
          schema:
            title: Build Id
            type: string
        - description: 组织 ID（前缀：org-）
          in: path
          name: org_id
          required: true
          schema:
            example: org-abc123def456
            title: Org Id
            type: string
      responses:
        '204':
          description: 成功响应
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: 服务用户凭据（前缀：cog_）
      scheme: bearer
      type: http

````